# NagCollect -- Nagios Data Collector for Passive Checks
# Copyright (c)2010-2011 Alexander Barton, alex@barton.de

# Check Hardware Information from DMI/SMBIOS

type -p dmidecode >/dev/null 2>&1
if [ $? -eq 0 ]; then

	SERVICE="HwInfo_p"
	STATUS=0

	sn=`dmidecode -s system-serial-number`
	product=`dmidecode -s system-product-name`
	manufacturer=`dmidecode -s system-manufacturer`

	case "$product" in
	  "VMware Virtual Platform")
		sn=""; ;;
	esac
	case "$sn" in
	  *"OEM"*|*"O.E.M"*)
		sn=""; ;;
	esac

	if [ -n "$manufacturer" -a -n "$product" ]; then
		TEXT="$manufacturer: $product"
	else
		TEXT="$manufacturer$product"
	fi

	if [ -n "$sn" ]; then
		[ -n "$TEXT" ] \
			&& TEXT="$TEXT, S/N $sn" \
			|| TEXT="S/N $sn"
	fi

fi
